<?php

return array(
	'test' => array(
		'title' => _wp('Тестовый режим'),
		'description' => _wp('Активация тестового режима работы'),
		'value' => 1,
		'control_type' => waHtmlControl::CHECKBOX
	),
	'token' => array(
		'title' => _wp('Токен доступа'),
		'description' => _wp('Введите выданный токен доступа'),
		'value' => '',
		'control_type' => waHtmlControl::INPUT
	),
	'cashier_name' => array(
		'title' => _wp('ФИО кассира'),
		'description' => _wp('Введите фамилию и инициалы кассира'),
		'value' => 'Иванов И.И.',
		'control_type' => waHtmlControl::INPUT
	),
	'cashier_inn' => array(
		'title' => _wp('ИНН кассира'),
		'description' => _wp('Введите ИНН кассира, строго из 12-ти цфир'),
		'value' => '',
		'control_type' => waHtmlControl::INPUT
	),
	'payment_address' => array(
		'title' => _wp('Место расчётов'),
		'description' => _wp('Введите место расчётов с указанием HTTP или HTTPS'),
		'value' => 'https://site.ru',
		'control_type' => waHtmlControl::INPUT
	),
	'address_type' => array(
		'title' => _wp('Адрес клиента'),
		'description' => _wp('Выберите тип адреса — Телефон или E-mail'),
		'value' => 'email',
		'control_type' => waHtmlControl::SELECT,
		'options_callback' => array('shopBifitkassaPlugin', 'addressTypeValues')
	),
	'fio' => array(
		'title' => _wp('ФИО клиента'),
		'description' => _wp('Активация вывода ФИО клиента'),
		'value' => 0,
		'control_type' => waHtmlControl::CHECKBOX
	),
	'calculation_method' => array(
		'title' => _wp('Признак способа расчёта'),
		'description' => _wp('Выберите признак способа расчёта'),
		'value' => 'FULL_PAY',
		'control_type' => waHtmlControl::SELECT,
		'options_callback' => array(
			'shopBifitkassaPlugin',
			'calculationMethodValues'
		)
	),
	'payment_type' => array(
		'title' => _wp('Тип оплаты'),
		'description' => _wp('Выберите тип оплаты'),
		'value' => 'CARD',
		'control_type' => waHtmlControl::SELECT,
		'options_callback' => array('shopBifitkassaPlugin', 'paymentTypeValues')
	),
	'vat' => array(
		'title' => _wp('Ставка НДС'),
		'description' => _wp('Выберите ставку НДС'),
		'value' => '',
		'control_type' => waHtmlControl::SELECT,
		'options_callback' => array('shopBifitkassaPlugin', 'vatValues')
	),
	'hint1' => array(
		'title' => "",
		'description' => '<h1 style="margin-left:-180px;padding:4px 10px;border-radius:4px;color:#fff;background:#228b22;">' . _wp('Приход') . '</h1>',
		'control_type' => waHtmlControl::CUSTOM,
	),
	'use_type_1' => array(
		'title' => _wp('Использовать'),
		'description' => _wp('Активация использования данного типа документа'),
		'value' => 0,
		'control_type' => waHtmlControl::CHECKBOX
	),
	'order_paid_1' => array(
		'title' => _wp('Заказ оплачен'),
		'description' => _wp('Заказ должен быть оплачен, не оплачен или не учитывать'),
		'value' => -1,
		'control_type' => waHtmlControl::SELECT,
		'options_callback' => array('shopBifitkassaPlugin', 'orderPaidValues')
	),
	'tax_system_1' => array(
		'title' => _wp('Система налогообложения'),
		'description' => _wp('Выберите систему налогообложения'),
		'value' => 'COMMON',
		'control_type' => waHtmlControl::SELECT,
		'options_callback' => array('shopBifitkassaPlugin', 'taxSystemValues')
	),
	'pm_statuses_1' => array(
		'title' => _wp('Статус(ы) заказа'),
		'description' =>
			_wp('Статус(ы) заказа для активации данного типа документа'),
		'control_type' => waHtmlControl::GROUPBOX,
		'options_callback' => array(
			'shopBifitkassaPlugin',
			'settingAvailableOrderActions'
		),
		'value' => array('pay')
	),
	'pm_ids_1' => array(
		'title' => _wp('Способ(ы) оплаты'),
		'description' =>
			_wp('Способ(ы) оплаты для активации данного типа документа'),
		'control_type' => waHtmlControl::GROUPBOX,
		'options_callback' => array(
			'shopBifitkassaPlugin',
			'getPaymentTypes'
		),
		'value' => array()
	),
	'hint2' => array(
		'title' => "",
		'description' => '<h1 style="margin-left:-180px;padding:4px 10px;border-radius:4px;color:#000;background:#90ee90;">' . _wp('Возврат прихода') . '</h1>',
		'control_type' => waHtmlControl::CUSTOM,
	),
	'use_type_2' => array(
		'title' => _wp('Использовать'),
		'description' => _wp('Активация использования данного типа документа'),
		'value' => 0,
		'control_type' => waHtmlControl::CHECKBOX
	),
	'order_paid_2' => array(
		'title' => _wp('Заказ оплачен'),
		'description' => _wp('Заказ должен быть оплачен, не оплачен или не учитывать'),
		'value' => -1,
		'control_type' => waHtmlControl::SELECT,
		'options_callback' => array('shopBifitkassaPlugin', 'orderPaidValues')
	),
	'tax_system_2' => array(
		'title' => _wp('Система налогообложения'),
		'description' => _wp('Выберите систему налогообложения'),
		'value' => 'COMMON',
		'control_type' => waHtmlControl::SELECT,
		'options_callback' => array('shopBifitkassaPlugin', 'taxSystemValues')
	),
	'pm_statuses_2' => array(
		'title' => _wp('Статус(ы) заказа'),
		'description' =>
			_wp('Статус(ы) заказа для активации данного типа документа'),
		'control_type' => waHtmlControl::GROUPBOX,
		'options_callback' => array(
			'shopBifitkassaPlugin',
			'settingAvailableOrderActions'
		),
		'value' => array('refund')
	),
	'pm_ids_2' => array(
		'title' => _wp('Способ(ы) оплаты'),
		'description' =>
			_wp('Способ(ы) оплаты для активации данного типа документа'),
		'control_type' => waHtmlControl::GROUPBOX,
		'options_callback' => array(
			'shopBifitkassaPlugin',
			'getPaymentTypes'
		),
		'value' => array()
	),
	'hint3' => array(
		'title' => "",
		'description' => '<h1 style="margin-left:-180px;padding:4px 10px;border-radius:4px;color:#fff;background:#789;">' . _wp('Расход') . '</h1>',
		'control_type' => waHtmlControl::CUSTOM,
	),
	'use_type_3' => array(
		'title' => _wp('Использовать'),
		'description' => _wp('Активация использования данного типа документа'),
		'value' => 0,
		'control_type' => waHtmlControl::CHECKBOX
	),
	'order_paid_3' => array(
		'title' => _wp('Заказ оплачен'),
		'description' => _wp('Заказ должен быть оплачен, не оплачен или не учитывать'),
		'value' => -1,
		'control_type' => waHtmlControl::SELECT,
		'options_callback' => array('shopBifitkassaPlugin', 'orderPaidValues')
	),
	'tax_system_3' => array(
		'title' => _wp('Система налогообложения'),
		'description' => _wp('Выберите систему налогообложения'),
		'value' => 'COMMON',
		'control_type' => waHtmlControl::SELECT,
		'options_callback' => array('shopBifitkassaPlugin', 'taxSystemValues')
	),
	'pm_statuses_3' => array(
		'title' => _wp('Статус(ы) заказа'),
		'description' =>
			_wp('Статус(ы) заказа для активации данного типа документа'),
		'control_type' => waHtmlControl::GROUPBOX,
		'options_callback' => array(
			'shopBifitkassaPlugin',
			'settingAvailableOrderActions'
		),
		'value' => array('pay')
	),
	'pm_ids_3' => array(
		'title' => _wp('Способ(ы) оплаты'),
		'description' =>
			_wp('Способ(ы) оплаты для активации данного типа документа'),
		'control_type' => waHtmlControl::GROUPBOX,
		'options_callback' => array(
			'shopBifitkassaPlugin',
			'getPaymentTypes'
		),
		'value' => array()
	),
	'hint4' => array(
		'title' => "",
		'description' => '<h1 style="margin-left:-180px;padding:4px 10px;border-radius:4px;color:#000;background:#b0c4de;">' . _wp('Возврат расхода') . '</h1>',
		'control_type' => waHtmlControl::CUSTOM,
	),
	'use_type_4' => array(
		'title' => _wp('Использовать'),
		'description' => _wp('Активация использования данного типа документа'),
		'value' => 0,
		'control_type' => waHtmlControl::CHECKBOX
	),
	'order_paid_4' => array(
		'title' => _wp('Заказ оплачен'),
		'description' => _wp('Заказ должен быть оплачен, не оплачен или не учитывать'),
		'value' => -1,
		'control_type' => waHtmlControl::SELECT,
		'options_callback' => array('shopBifitkassaPlugin', 'orderPaidValues')
	),
	'tax_system_4' => array(
		'title' => _wp('Система налогообложения'),
		'description' => _wp('Выберите систему налогообложения'),
		'value' => 'COMMON',
		'control_type' => waHtmlControl::SELECT,
		'options_callback' => array('shopBifitkassaPlugin', 'taxSystemValues')
	),
	'pm_statuses_4' => array(
		'title' => _wp('Статус(ы) заказа'),
		'description' =>
			_wp('Статус(ы) заказа для активации данного типа документа'),
		'control_type' => waHtmlControl::GROUPBOX,
		'options_callback' => array(
			'shopBifitkassaPlugin',
			'settingAvailableOrderActions'
		),
		'value' => array('refund')
	),
	'pm_ids_4' => array(
		'title' => _wp('Способ(ы) оплаты'),
		'description' =>
			_wp('Способ(ы) оплаты для активации данного типа документа'),
		'control_type' => waHtmlControl::GROUPBOX,
		'options_callback' => array(
			'shopBifitkassaPlugin',
			'getPaymentTypes'
		),
		'value' => array()
	),
	'hint5' => array(
		'title' => "",
		'description' => '<h1 style="margin-left:-180px;padding:4px 10px;border-radius:4px;color:#fff;background:#189AF7;">' . _wp('Связь') . '</h1>',
		'control_type' => waHtmlControl::CUSTOM,
	),
	'use_type_5' => array(
		'title' => _wp('Использовать'),
		'description' => _wp('Активация использования связи с личным кабинетом "БИФИТ Касса"'),
		'value' => 0,
		'control_type' => waHtmlControl::CHECKBOX
	),
	'order_paid_5' => array(
		'title' => _wp('Заказ оплачен'),
		'description' => _wp('Заказ должен быть оплачен, не оплачен или не учитывать'),
		'value' => -1,
		'control_type' => waHtmlControl::SELECT,
		'options_callback' => array('shopBifitkassaPlugin', 'orderPaidValues')
	),
	'tax_system_5' => array(
		'title' => _wp('Система налогообложения'),
		'description' => _wp('Выберите систему налогообложения'),
		'value' => 'COMMON',
		'control_type' => waHtmlControl::SELECT,
		'options_callback' => array('shopBifitkassaPlugin', 'taxSystemValues')
	),
	'pm_statuses_5' => array(
		'title' => _wp('Статус(ы) заказа'),
		'description' =>
			_wp('Статус(ы) заказа для активации данного типа документа'),
		'control_type' => waHtmlControl::GROUPBOX,
		'options_callback' => array(
			'shopBifitkassaPlugin',
			'settingAvailableOrderActions'
		),
		'value' => array('refund')
	),
	'pm_ids_5' => array(
		'title' => _wp('Способ(ы) оплаты'),
		'description' =>
			_wp('Способ(ы) оплаты для активации данного типа документа'),
		'control_type' => waHtmlControl::GROUPBOX,
		'options_callback' => array(
			'shopBifitkassaPlugin',
			'getPaymentTypes'
		),
		'value' => array()
	),
	'login' => array(
		'title' => _wp('Логин'),
		'description' => _wp('Введите логин личного кабинета "БИФИТ Касса"'),
		'value' => '',
		'control_type' => waHtmlControl::INPUT
	),
	'password' => array(
		'title' => _wp('Пароль'),
		'description' => _wp('Введите пароль личного кабинета "БИФИТ Касса"'),
		'value' => '',
		'control_type' => waHtmlControl::INPUT
	),
	'organizations' => array(
		'title' => '',
		'description' => '',
		'control_type' => 
			waHtmlControl::CUSTOM . ' shopBifitkassaPlugin::getOrganizationsTextarea'
	),
	'organization' => array(
		'title' => _wp('Организация'),
		'description' => _wp('Выберите организацию для сохрпанения данных'),
		'value' => -1,
		'control_type' => waHtmlControl::SELECT,
		'options_callback' => array('shopBifitkassaPlugin', 'getOrganizationsSelect')
	),
	'trade_object' => array(
		'title' => _wp('Торговый объект'),
		'description' => _wp('Выберите торговый объект для сохрпанения данных'),
		'value' => -1,
		'control_type' => waHtmlControl::SELECT,
		'options_callback' => array('shopBifitkassaPlugin', 'getTradeObjectsSelect')
	),
	'update' => array(
		'title' => "",
		'description' => '<button type="button" id="up1" class="button" onclick="updateLK();">' . _wp('Обновить организации и объекты') . '</button><br><br>',
		'control_type' => waHtmlControl::CUSTOM,
	),
	'lk_courier_delivery' => array(
		'title' => _wp('Доставка "Курьером"'),
		'description' =>
			_wp('Выберите подходящую под доставку "Курьером" в личном кабинете'),
		'control_type' => waHtmlControl::GROUPBOX,
		'options_callback' => array(
			'shopBifitkassaPlugin',
			'getDeliveryMethods'
		),
		'value' => array()
	),
	'lk_self_delivery' => array(
		'title' => _wp('Доставка "Самовывоз"'),
		'description' =>
			_wp('Выберите подходящую под доставку "Самовывоз" в личном кабинете'),
		'control_type' => waHtmlControl::GROUPBOX,
		'options_callback' => array(
			'shopBifitkassaPlugin',
			'getDeliveryMethods'
		),
		'value' => array()
	),
	'lk_new_courier_order_status' => array(
		'title' => _wp('Статус для нового заказа "Курьером"'),
		'description' => _wp('Выберите статус для нового заказа "Курьером" в личном кабинете'),
		'control_type' => waHtmlControl::SELECT,
		'options' => array(
			array(
				'value' => 'NEW',
				'title' => '[NEW] Новый',
			),
			array(
				'value' => 'ACCEPTED',
				'title' => '[ACCEPTED] Подтверждён',
			),
			array(
				'value' => 'DISTRIBUTED',
				'title' => '[DISTRIBUTED] Распределён',
			),
		),
		'value' => 'NEW',
	),
	'lk_use_refused' => array(
		'title' => _wp('Удалять заказ в кабинете'),
		'description' => _wp('Удалять заказ в личном кабинете "БИФИТ Касса"'),
		'value' => 0,
		'control_type' => waHtmlControl::CHECKBOX
	),
	'lk_refused_statuses' => array(
		'title' => _wp('Статус(ы) заказа для удаления'),
		'description' =>
			_wp('Статус(ы) заказа для удаления в личном кабинете "БИФИТ Касса"'),
		'control_type' => waHtmlControl::GROUPBOX,
		'options_callback' => array(
			'shopBifitkassaPlugin',
			'settingAvailableOrderActions'
		),
		'value' => array('refund')
	),
);